/* Search Tab section Start*/

.input-wrapper {
    border: 1px solid transparent;
    border-radius: 10px;
    background: url(/Images/icons/to.svg) no-repeat;
    background-position: 10px 34px;
    transition: border-color 0.3s ease;
}

    .input-wrapper:focus-within {
        border-color: #9675FF;
        background: url(/Images/icons/to-act.svg) no-repeat;
        background-position: 10px 34px;
    }

    .input-wrapper.frm {
        background: url(/Images/icons/frm.svg) no-repeat;
        background-position: 10px 34px;
    }

        .input-wrapper.frm:focus-within {
            background: url(/Images/icons/frm-act.svg) no-repeat;
            background-position: 10px 34px;
        }


input {
    border: none;
    outline: none;
    font-size: 1rem;
    width: 100%;
}

.tabs_container {
    gap: 15px;
}
    .tabs_container li {
        display: flex;
        align-items: center;
    }
    .tabs_container li button svg {
        height: 25px;
        width: auto;
        fill: var(--color-darkBlue);
    }

    .tabs_container .nav-link.active, .nav-pills .show > .nav-link {

        background-color: var(--color-white);
        color: var(--color-darkBlue) !important;
        opacity: 1;
    }
        .tabs_container .nav-link.active svg {
            fill: var(--color-darkBlue);
            opacity: 1;
            height: 30px;
        }

    .tabs_container li button svg {
        height: 25px;
        width: auto;
        fill: var(--color-darkBlue);
    }

.tabs_hero {
    width: 85%;
    margin: auto;
    background-color: var(--color-white);
    box-shadow: 1px 1px 10px rgba(0,0,0,0.3);
    border-radius: 50px;
    padding: 10px;
    position:relative;
    z-index:1;
}

.tab_content {
    width: 75%;
    margin: auto;
    box-shadow: 1px 1px 10px rgba(0,0,0,0.3);
    padding: 80px 20px;
    border-radius: 5px;
    margin-top: -35px;
    z-index: -1;
    background-color: var(--color-white);
}

.tabs_container li button {
    color: var(--color-black) !important;
    padding: 10px 20px;
    gap: 6px;
    display: flex;
    align-items: center;
    justify-content: center;
    opacity: 0.7;
    font-weight: 600;
    border-radius: 50px !important;
}

    .tabs_container li button svg {
        fill: var(--color-black);
    }

.icon_arrow {
    background-color: var(--color-light);
    width: 35px;
    height: 35px;
    display: flex;
    align-items: center;
    justify-content: center;
    border-radius: 50%;
    border: 1px solid var(--color-black);
    padding: 7px;
}
/* Search Tab section End*/

/* Serach Section Start*/
.flight-Serch {
    position: relative;
    background: #ffffff;
    padding: 20px;
    box-shadow: 0px 0px 20px 0px #0000001A;
    border-radius: 10px;
    margin-top: -28px;
}

.serach-Engine {
    display: flex;
    margin: 15px 0 0 0;
    position: relative;
}

.trip-type {
    display: flex;
    padding: 0px;
    margin-bottom: 10px;
    position:relative;
}

.trip-type li {
    margin-right:15px;
    display: inline-block;
    font-size: 14px;
    border: 2px solid #d7d7d7;
    padding: 10px 15px;
    border-radius: 30px;
}

    .trip-type li:first-child {
        margin-left: 0;
    }

.trip-type .active {
    box-shadow: rgba(0, 0, 0, 0.16) 0px 1px 4px;
}

    .trip-type .active label {
        color: #222222;
    }

    .trip-type label {
        cursor: pointer;
        font-weight: 600;
        padding-left: 35px;
        position: relative;
        color: #222222;
        font-size:16px;
    }

    .trip-type label input {
        opacity: 0;
        position: absolute;
    }

        .trip-type label input[type=radio]:checked ~ span::before {
            border-radius: 100%;
            background: #ffffff;
            content: "";
            display: block;
            height: 8px;
            width: 8px;
            left: 6px;
            position: absolute;
            top: 6px;
            box-shadow: 0px 0px 10px 0px #00000040;
        }

        .trip-type label input[type=radio]:checked ~ span::after {
            border: 8px solid #5B3FD6;
        }

        .trip-type label input[type=radio] ~ span::after {
            border-radius: 100%;
            border: 2px solid #8E8E8E;
            content: "";
            height: 20px;
            width: 20px;
            left: 0;
            position: absolute;
            top: 0;
        }

.from-to {
    width: 43%;
    display: flex;
    background: #F9FAFB;
    border-radius: 10px;
    align-items: center;
    flex: 0 0 auto;
    border: 1px solid #EAE7FA;
}

    .from-to .from {
        width: calc(50% - 18px);
        padding: 25px 10px 5px 45px;
        position: relative;
        flex:0 0 auto;
    }

.label-Head {
    position: absolute;
    top: 5px;
    font-size: 12px;
    left: inherit;
    font-weight: 700;
    color: rgba(27, 27, 27, 0.7);
}

.inputField {
    border: none;
    color: #1b1b1b;
    z-index: 1;
    position: relative;
    font-size: 18px;
    font-weight: 700;
    width: 100%;
    padding: 0;
    background: transparent;
    white-space: nowrap;
    text-overflow: ellipsis;
    overflow: hidden;
}

.airport-name {
    display: block;
    font-size: 12px;
    width: 100%;
    white-space: nowrap;
    text-overflow: ellipsis;
    overflow: hidden;
    position: relative;
    font-weight: 700;
    color: rgba(27, 27, 27, 0.7);
}

.swapIcon {
    width: 36px;
    display: inline-flex;
    align-items: center;
    justify-content: center;
    position: relative;
    height: 100%;
}

    .swapIcon span {
        width: 30px;
        height: 30px;
        display: inline-flex;
        align-items: center;
        justify-content: center;
        border-radius: 5px;
        background: #ffffff;
        z-index: 1;
        padding: 6px;
        border: 1px solid #AEC7DE;
    }

.depart-return {
    width: 32%;
    display: flex;
    background: #F9FAFB;
    border-radius: 10px;
    align-items: center;
    border: 1px solid #EAE7FA;
    margin: 0 5px;
}


.depart {
    width: 47%;
    padding: 25px 10px 5px 10px;
    position: relative;
    height: 100%;
}

    .depart .label-Head {
        left:10px;
    }

    .depart.return {
        background: url(/Images/icons/cal.svg) no-repeat;
        background-position: 118px 30px;
        width:53%;
    }

#TotalPax_error {
    position: absolute;
    bottom: -26px;
    color:red;
    font-size:12px;
}

/*.depart .inputField {
    padding: 0px 0px 20px 0;
}*/
.returnlabel {
    position: absolute;
    top: 27px;
    color: #757575;
    font-size: 12px;
    right: 50px;
    z-index: 1;
    left: 10px;
}

.clear-returnDate {
    position: absolute;
    right: -2px;
    top: -15px;
    z-index: 1;
}

    .clear-returnDate i {
        color: #ffc06c;
        font-size: 20px;
        cursor: pointer;
    }

.return::before {
    position: absolute;
    content: "";
    background: #d9d9d9;
    height: 60%;
    left: 0;
    top: 20%;
    width: 2px;
}

.travelsSec {
    width: 23%;
    display: flex;
    position: relative;
    padding: 25px 10px 5px 12px;
    background: #F9FAFB;
    border-radius: 10px;
    align-items: center;
    border: 1px solid #EAE7FA;
}

    .travelsSec .travel-Class {
        font-size: 12px;
        font-weight: 700;
        color: rgba(27, 27, 27, 0.7);
    }
    .travelsSec .travel-arrow {
        position: absolute;
        top: 50%;
        right: 3px;
        transform: translate(-50%, -50%);
        font-weight: 800;
        font-size: 20px;
    }
    .serach-Btn {
        margin-left: 5px;
    }
.search-Button {
    background: linear-gradient(90deg, #5B3FD6 0%, #7A5AF8 100%);
    color: #ffffff;
    border-radius: 10px;
    padding: 0px;
    display: flex;
    align-items: center;
    justify-content: center;
    grid-gap: 5px;
    border: none;
    font-size: 16px;
    font-weight: 700;
    padding: 0 20px;
    text-transform: uppercase;
    width: 100%;
    height: 100%;
}

    .search-Button:hover {
        color: #ffffff;
        background: #5B3FD6;
    }


/* Passenger Information css start*/

.passenger-Box {
    display: flex;
    width: 380px;
    transition: visibility 0s linear .3s,opacity .3s linear 0s;
    flex-direction: column;
    box-shadow: rgb(0 0 0 / 16%) 0px 1px 4px;
    border: 1px solid #f3f3f3;
    border-radius: 5px;
    padding: 15px;
    position: absolute;
    right: 0;
    background: #fff;
    top: 65px;
    z-index: 1021;
}

.passenger {
    justify-content: space-between;
}
.pax-limit {
    display: flex;
    flex-direction: column;
    position: relative;
    color:#212529;
}
.count {
    display: flex;
    align-items: center;
    justify-content: center;
}
    .count .spinner {
        cursor: pointer;
        width: 36px;
        height: 28px;
        border: 1px solid #e4e4e4;
        display: inline-flex;
        align-items: center;
        justify-content: center;
        border-top-left-radius: 5px;
        border-bottom-left-radius: 5px;
    }
.add-bg {
    background-color: #e4e4e4;
    padding: 8px 15px;
    width: 35px;
    color: #333;
    opacity: .6;
    height: 30px;
    display: inline-flex;
    align-items: center;
    justify-content: center;
}
.spinner-Plus {
    cursor: pointer;
    width: 36px;
    height: 28px;
    border: 1px solid #e4e4e4;
    display: inline-flex;
    align-items: center;
    justify-content: center;
    border-top-right-radius: 5px;
    border-bottom-right-radius: 5px;
}



.flight-class-type {
    padding-top: 10px;
}

    .flight-class-type .class-type li {
        margin: 10px 0;
        font-size: 14px;
        text-align:left;
    }

    .flight-class-type .class-type label.active {
        font-weight: 600;
        color: #025cb5;
    }
.class-type label {
    cursor: pointer;
    font-weight: 400;
    line-height: 22px;
    padding-left: 26px;
    position: relative;
    color: #5e5e5e;
}

    .class-type label input {
        opacity: 0;
        position: absolute;
    }

        .class-type label input[type=radio]:checked ~ span::before {
            border-radius: 100%;
            background: #ff8d29;
            content: "";
            display: block;
            height: 8px;
            width: 8px;
            left: 6px;
            position: absolute;
            top: 6px;
        }

        .class-type label input[type=radio]:checked ~ span::after {
            border: 2px solid #ff8d29;
        }

        .class-type label input[type=radio] ~ span::after {
            border-radius: 100%;
            border: 2px solid #d7d7d7;
            content: "";
            height: 20px;
            width: 20px;
            left: 0;
            position: absolute;
            top: 0;
        }

.apply {
    position: absolute;
    right: 15px;
    bottom: 15px;
    padding: 5px 20px;
    width: 90px;
    height: 36px;
}

/* Mail info serach engine*/
.mailinfo-engine .from-to {
    width: 100%;
    grid-gap: 15px;
    box-shadow: none;
    border: none;
}

.mailinfo-engine .destin{
    display:flex;
    align-items:center;
}

    .mailinfo-engine .destin .inputField {
        padding: 0;
    }

.mailinfo-engine .depart .inputField{
    padding:0;
}


.mailinfo-engine .from-to .from {
    width: 50%;
}

.mailinfo-engine .depart-return {
    width: 100%;
    margin: 0;
    grid-gap: 15px;
    box-shadow: none;
    border: none;
    margin-top:15px;
}

.mailinfo-engine .label {
    padding: 10px;
}

.mailinfo-engine .return::before{
    display:none;
}

.mailinfo-engine .travelsSec {
    width: 100%;
    border: 1px solid #cccccc;
    margin: 15px 0;
    box-shadow: none;
}

.mailinfo-engine .returnlabel{
    right:0;
    top:10px;
    left:10px;
}

.mailinfo-engine .inputField{
    font-weight:500;
    font-size:15px;
}
.mailinfo-engine .travel-Class {
    color: #787878;
}

.mailinfo-engine .errortext{
    bottom:0;
}
.mailinfo-engine .searchButton {
    width: 100%;
    font-size: 20px;
    padding: 10px 0;
}

.mailinfo-engine #Depart_error.errortext{
    bottom:0;
}


@media (max-width:1199px){

    .depart-return {
        width: 38%;
    }
  
}

@media (max-width:1121px) {

    .depart.return {
        background-position: 97px 26px;
    }
}


@media(max-width:1023px) {


    .passenger {
        grid-gap: 10px;
    }


    .passenger-Box {
        width: auto;
    }

    .search-Button {
        height: 60px;
    }

    .depart.return {
        background-position: 106px 24px;
    }
    .from-to {
        width: 100%;
    }

    .depart-return {
        width: 100%;
        margin: 10px 0;
        /*height: 90px;*/
    }

    .travelsSec, .travelsSec .travelClass {
        width: 100%;
    }

    .serach-Btn {
        margin: 0;
        margin-top: 15px;
    }

    .serach-Engine {
        flex-direction: column;
    }
}


@media (max-width:767px){
    .count {
        margin-bottom: 10px;
    }

    .returnlabel {
        font-size: 10px;
        left: 10px;
    }
        .serach-Btn {
        margin-top: 10px;
    }

    .flight-Serch {
        padding: 10px;
        padding-top: 20px;
    }
    .from-to .from {
        width: 100%;
        border: 1px solid #EAE7FA;
        background-color: #F9FAFB;
    }

    .from-to {
        flex-direction: column;
        background: none;
        border: 0;
        position: relative;
        gap: 10px;
    }

    .swapIcon {
        position: absolute;
        background: none;
        right: 15px;
        top: 0px;
    }

        .swapIcon a {
            transform: rotate(90deg);
            display: flex;
        }
}


@media(max-width:791px) {
  
    /*.passenger-Box{
        width:315px;
    }
    .count {
        margin-bottom: 10px;
    }*/
}

@media (max-width:576px){

    .pax-limit .count {
        margin: 0 !important;
    }

    .passenger-Box {
        width: 280px;
    }

    .passenger {
        flex-direction: column;
        gap: 5px;
    }
    .pax-limit {
        flex-direction: row;
        align-items: center;
        justify-content: space-between;
    }
}